<template>
  <div id="you-like-it" class="flex items-center space-x-3 h-max">
    <p
      class="text-tiny"
      :class="section === 'our-service' ? 'text-white' : 'text-black-100'"
    >
      You like it!
    </p>
    <img :src="facebook_icon" width="24" class="cursor-pointer" />
    <img :src="twitter_icon" width="24" class="cursor-pointer" />
  </div>
</template>

<script>
export default {
  props: {
    icon_color: {
      type: String,
      default: "",
    },
    section: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      facebook_icon_blue: require("~/assets/images/facebook_icon_blue.svg"),
      facebook_icon_green: require("~/assets/images/facebook_icon_green.svg"),
      twitter_icon_blue: require("~/assets/images/twitter_icon_blue.svg"),
      twitter_icon_green: require("~/assets/images/twitter_icon_green.svg"),
      facebook_icon: "",
      twitter_icon: "",
    }
  },
  mounted() {
    switch (this.icon_color) {
      case "blue":
        this.facebook_icon = this.facebook_icon_blue
        this.twitter_icon = this.twitter_icon_blue
        break

      case "green":
        this.facebook_icon = this.facebook_icon_green
        this.twitter_icon = this.twitter_icon_green
        break
    }
  },
}
</script>

<style></style>
